CpFit program is designed for approximation of heat capacity experimental data
using the nonlinear least squares method. The program uses Einstein-Plank functions
based model suggested by Voronin et al.:

[Voronin G.F., Kutsenok I.B. Universal Method for Approximating the Standard
Thermodynamic Functions of Solids // J. Chem. Eng. Data. 2013. 58(7). 2083--2094.](http://dx.doi.org/10.1021/je400316m)

CODATA 2014 universal gas constant value (R = 8.3144598) is used.

CpFit program uses [levmar library][http://users.ics.forth.gr/~lourakis/levmar/] (Levenberg-Marquardt method
implementation) as the nonlinear least squares engine and [wxWidgets library][http://www.wxwidgets.org/] for GUI programming.
Currently only compilation in MinGW and MS Windows XP is tested. And it contains very few Win32 dependencies such as working with
Clipboard and icons file format. But CpFit is potentially crossplatform.

System requirements:
* MS Windows XP SP3 or higher
* GCC 4.5.2 or higher (in the form of MinGW port)
* wxWidgets 3.0.2 or higher
* levmar 2.6 or higher

Compilation
-----------

To compile CpFit do the next steps:
* Compile wxWidgets library
* Compile `levmar` library and drop `levmar.h` and `liblevmar.a` to the folder with Makefile
* Manually edit `Makefile` and add your wxWidgets path into it
* `make`
* `Doxygen`


Copyright
---------

(C) 2016 Alexey L. Voskov

Laboratory of Chemical Thermodynamics, Department of Chemistry,
Lomonosov Moscow State University, Moscow, Russia, 119991

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program.  If not, see [http://www.gnu.org/licenses/];
